using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace M3dNamespace
{
    /// Author: Dennis Lang - 2009
    /// http://home.comcast.net/~lang.dennis/
    /// 
    /// Simple combo box used to update a field in a tabular list box.
    /// 
    public partial class ComboField : Form
    {
        public ComboField()
        {
            InitializeComponent();
        }

        public void SetChoices(string choiceStr)
        {
            string[] choices = choiceStr.Split(',');
            this.combo.Items.Clear();
            this.combo.Items.AddRange(choices);
            this.combo.SelectedIndexChanged += new System.EventHandler(this.combo_SelectedIndexChanged);
        }

        public string ComboText
        {
            get { return this.combo.Text; }
            set { this.combo.Text = value; }
        }

        private void textBox_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Return)
            {
                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            else if (e.KeyCode == Keys.Escape)
            {
                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

        private void combo_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}
