﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace M3dNamespace
{
    /// Author: Dennis Lang - 2009
    /// http://home.comcast.net/~lang.dennis/
    /// 
    /// Log messages - wrapper class to manage message logging.
    /// TODO - complete class to log to file, etc.
    /// 
    public class Log
    {
        public Log()
        {
            this.name = string.Empty;
            this.msg = string.Empty;
        }

        public Log(string name)
        {
            this.name = name;
            this.msg = string.Empty;
        }

        public string Msg
        {
            get { return this.msg; }
            set 
            { 
                this.msg = value;
                HasChanged(); 
            }
        }

        public void Clear()
        {
            this.msg = string.Empty;
        }

        private void HasChanged()
        {
            if (this.Changed != null)
                this.Changed(this, EventArgs.Empty);

            string fullMsg = this.name + ": " + this.msg;
            Console.WriteLine(fullMsg);
            System.Diagnostics.Debug.WriteLine(fullMsg);
        }

        public event EventHandler Changed;
        private string name;
        private string msg;
    }
}
