﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
// using System.Runtime.InteropServices;

namespace M3dNamespace
{
    /// Author: Dennis Lang - 2009
    /// http://home.comcast.net/~lang.dennis/
    /// 
    /// Store Direct3d parameters used by main draw pass.
    /// 
    public class D3dDrawData
    {
        public float projScale = 1.0f;
        public float zNear = -10.0f;
        public float zFar = 10.0f;
        public float cameraZPos = 200;

        public class Lighting
        {
            public Vector3 position = new Vector3(0, 0f, -200f);
            public Vector3 direction = new Vector3(0, 0, 1);
            public bool enabled = true;
            public LightType type = LightType.Directional;
            public Color ambient = Color.Black;
            public Color diffuse = Color.White;
            public Color specular = Color.White;
            public float range = 1000.0f;
        };

        public Lighting lighting = new Lighting();
        public Vector3 translate = new Vector3(0, 0, 0);
    }
}
